<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Water Mark - COP MAFRA</title>
</head>
<body>
<script>
    var templates_config = {{ templates_json | safe }}

</script>
<div class="container">
    <h1>Templates</h1>
    <form action="/form" method="POST" enctype="multipart/form-data">
        <select id="select_template" name="select_template" class="my-3 form-select" aria-label="Select Banner Template"
                required>
            <option selected>Select Template</option>
            {% for template in templates_config.templates %}
                <option value="{{template.name}}">{{template.name}}</option>
            {% endfor %}
        </select>

        <input type="file" name="background_image" multiple/>

        <button type="submit" class="btn btn-primary">Generate</button>
    </form>
</div>

<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
        crossorigin="anonymous"></script>
</body>
</html>